<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       thehp.in
 * @since      1.0.0
 *
 * @package    Global_Dns
 * @subpackage Global_Dns/public/partials/dmarc
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
echo "<style>";
if(isset($attr['btn-bg-color'])) {
    echo ".global_dns_dmarc_input input[type=submit] { background: ".$attr['btn-bg-color']." !important; border-color: ".$attr['btn-bg-color']." !important; }";
}
if(isset($attr['btn-text-color'])) {
    echo ".global_dns_dmarc_input input[type=submit] { color: ".$attr['btn-text-color']." !important; }";
}
echo "</style>";
?>
<div class="global_dns_dmarc_input">
    <form method="POST" id="global-dns-dmarc-input">
        <div>
            <input type="text" id="global-dns-dmarc-domain" name="domain" placeholder="<?php esc_attr_e((isset($attr['input-placeholder'])) ? $attr['input-placeholder'] : 'example.com', $this->plugin_name) ?>" required>
            <input type="submit" value="<?php esc_attr_e((isset($attr['btn-text'])) ? $attr['btn-text'] : 'Search', $this->plugin_name) ?>">
        </div>
    </form>
</div>
<div class="global_dns d-none">
    <div id="options"><?php esc_html_e(json_encode($settings)); ?></div>
    <div id="nonce"><?php esc_html_e(wp_create_nonce('wp_rest')); ?></div>
</div>